# ApiClientAttributes

Attributes for creating and updating an api client

```json
{
  "name": "",
  "entityId": "",
  "redirectUri": "",
  "scopes": [
    ""
  ],
  "clientCredentialsEnabled": true,
  "authorizationCodeEnabled": true,
  "accessTokenExpiresIn": 123,
  "pkceEnabled": true
}
```

| Name                     | Type          | Description                                                             |
| ------------------------ | ------------- | ----------------------------------------------------------------------- |
| name                     | String        | Name of the api client                                                  |
| entityId                 | String        | Entity ID of the api client                                             |
| redirectUri              | String        | Required for authorization\_code grant. The callback url of the client. |
| scopes                   | List (String) | The scopes that this application can request                            |
| clientCredentialsEnabled | Boolean       | Lets client credentials grant be used to generate access tokens         |
| authorizationCodeEnabled | Boolean       | Lets authorization code grant be used to generate access tokens         |
| accessTokenExpiresIn     | Int           | Number of seconds that access tokens will be issued for                 |
| pkceEnabled              | Boolean       | Lets PKCE be used to generate access tokens                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/apiclientattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
